Discussion

PRPC in Vista

hi all can anyone tell me if i can install prpc 5.3 personal edition in windows vista?? i am able to install it but when i start the server it is throwing an exception it is unable to convert some .xml file to .xml.old please help. thanks in advance

***Updated by moderator: Marissa to close post***

This post has been archived for educational purposes. Contents and links will no longer be updated. If you have the same/similar question, please write a new post.

Comments

Keep up to date on this post and subscribe to comments

April 5, 2009 - 8:02pm

Our client is using 5.4 SP2 and I can work on anything in PRPC except for editing flows. I have tried everything from lowering macro security of Visio and lowering IE security settings still it does not work and throws "Initialization Failed. The Certificate Authority is invlaid or Incorrect" error. Any help?

April 6, 2009 - 2:21pm

What I did yesterday was install the certificate that my client provided at the root level of Vista. After that I am able to edit flows in Vista. Looks like it is resolved for me :)

Pega
June 5, 2008 - 1:56pm

I recommend you contact Pega Support.

Pega
June 5, 2008 - 2:43pm

Pega does not currently support the Vista operating system with PRPC.

June 8, 2008 - 11:36pm

PRPC is a web based java application. It will work on any java webserver that runs on Vista Database server that also runs on Vista.

So you need a webserver and a database server that runs on Vista and supported by PRPC.

For database you can use Microsoft SQL 2005 SP2. It runs on vista and supported by PRPC also. But remeber you need to use driver for MS SQL Server 2005. Conventional mssql.jar, msbase.jar and msutil.jar will not serve your purpose. In the Microsoft site you will get the latest driver for SQL Server 2005("sqljdbc.jar").
You need to change the driver class and connection url in prconfig.xml for SQL 2005. For more see this pdn link -
http://pdn.pega.com/Devnet/prpcv5/kb/24165.asp

For webserver you can use jakarta-tomcat-5.0.28 with jdk1.5.0_07. I have a local Vista system and this combination is working.

Pega
June 9, 2008 - 9:46am

Just to clarify: The above instructions are for installing a full Process Commander system, not for installing Process Cdr Personal Edition, which uses the open-source Apache Derby ('cloudscape') database.

June 9, 2008 - 10:09am

Thanks for your comment. The instructions are for full version of PRPC. I missed out the "personal edition" words in the original post.
Thanks again for your correction.

June 10, 2008 - 3:33pm

thanks everyone for your answers. i heard from prpc 5.4 sp2 it can be installed on vista operating system aswell. but again how far it is true i dont know. can we download a trial version or a personal edition of the same to check its features before giving it a shot to buy?

Pega
June 10, 2008 - 4:43pm

The best way to request the Personal Edition distribution is to contact your Pega account representative. The Personal Edition is free, but involves some paperwork. He or she can run the paperwork to get you permission.

Bill / Pega

May 26, 2009 - 7:52am

Hi All,

It is very much possible to install PRPC 5.4 SP2 in vista without any certifacte or any specific configuration.
The Problem here my friend is facing is an exception of a minute mistake while writing installation script.
While Server Startup it is trying to change some .xml file (sorry I forgot the file name) to .xml.old, if you rename that file by going directly to that location(You can find that location in server prompt) to .xml.old manually, your Pega will work definately.

I have done this thing by my own and is working very fine.

~Parveen Jaswal
Bangalore

May 28, 2009 - 2:13am

quote:


Originally posted by TAMIRISJ

hi all

can anyone tell me if i can install prpc 5.3 personal edition in windows vista?? i am able to install it but when i start the server it is throwing an exception it is unable to convert some .xml file to .xml.old please help.

thanks in advance


Make sure the OS user has required privilege(read-write-execute) on the installation folder/sub folders.